com.taggercat.handlers
Class LoginRequestHandler

java.lang.Object
  extended by com.taggercat.handlers.AbstractRequestHandler
      extended by com.taggercat.handlers.LoginRequestHandler
All Implemented Interfaces:
com.taggercat.el.ELPropertyResolver, RequestHandler

public class LoginRequestHandler
extends AbstractRequestHandler

The LoginRequestHandler is used to authenticate a user and create a new model object.
The login information can be set either using request parameters or context parameters.

If the user has authenticated via the App server / Webserver, then the the user name is filled in from the remote user.

 

Constructor Summary
LoginRequestHandler()
           
 
Method Summary
 java.lang.String getPassword()
          Gets the login password for this request.
 java.lang.String getUsername()
          Gets the user name for this login request.
 void setPassword(java.lang.String password)
          Set the password for the login request.
 void setUsername(java.lang.String username)
          Sets the user name for this login request.
 
Methods inherited from class com.taggercat.handlers.AbstractRequestHandler
disableClientCache, getDataSourceName, getErrorException, getErrorPage, getErrorPageMethod, getErrorReason, getExplicitDataSourceName, getExplicitDSN, getMatchedPattern, getModel, getRequestController, getResponsePage, getResponsePageMethod, getSessionExpiredPage, getUserName4Log, init, isAjaxRequest, onChainCompleted, resolveProperty, serverTemporaryFile, serveTemporaryFile, service, setActionName, setErrorPage, setErrorPageMethod, setErrorPageMethodToRedirect, setExplicitDataSourceName, setExplicitDSN, setMatchedPattern, setResponsePage, setResponsePageMethod, setResponsePageMethodToRedirect, setSessionExpiredPage
 
Methods inherited from class java.lang.Object
equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

LoginRequestHandler

public LoginRequestHandler()
Method Detail

getUsername

public java.lang.String getUsername()
Gets the user name for this login request.

Returns:
the user name for this login request

setUsername

public void setUsername(java.lang.String username)
Sets the user name for this login request.

Parameters:
username - the user name

getPassword

public java.lang.String getPassword()
Gets the login password for this request.

Returns:
the login password

setPassword

public void setPassword(java.lang.String password)
Set the password for the login request.

Parameters:
password - the login password